package edu.cmu.paid.learning.logger.stub;
import edu.cmu.paid.learning.*;
import edu.cmu.paid.learning.dataminer.*;
import edu.cmu.paid.learning.dataminer.developer.BehaviorModel;
import java.util.Hashtable;
import java.util.Vector;


public class UCILoggerTest
{
  public UCILoggerTest()
    {
    }

  public static void main(String[] arg)
    {
      String dataSource = "";

      if(arg.length !=1)
	return;
      else
	{
	  dataSource = arg[0];
	}

      UCILogger l = new UCILogger();      

      System.out.println("DEBUG: The request is\n" + l.getDataset(dataSource));


      DataMiner dataMiner = new DataMiner();
      /*
      Vector evaluationSet = (Vector) 
	l.getDataset(dataSource).get("evaluation set");

      BehaviorModel model = dataMiner.developModel(l.getDataset(dataSource));
      */

      Hashtable trainingData = l.retrieveTrainingData(dataSource);
      BehaviorModel model = dataMiner.developModel(trainingData);

      l.storeModel(dataSource, model);
      System.out.println("Writing Model: "+model );
      
      model = null;
      System.out.println("Model = " + model);

      model = l.retrieveModel(dataSource);
      System.out.println("Reread Model = " + model);
    }
}
